#ifndef INCLUDED_TOPWIN_H
#define INCLUDED_TOPWIN_H

#ifndef INCLUDED_GTKMM_H
#define INCLUDED_GTKMM_H
#include <gtkmm.h>
#endif //INCLUDED_GTKMM_H

class TopWin : public Gtk::Window {
  public:
    TopWin();
    virtual ~TopWin();
  
  private:
    // SIGNALS
    bool onDrawingAreaClicked(GdkEventButton* event);
  
    // DATA MEMBERS
    Gtk::Window d_popup_win;
    Gtk::DrawingArea d_drawingarea;
    
    // is_fullscreen indicate 
    // the fullscreen state of the mainwindow
    // TRUE if mainwindow is HIDDEN, FALSE otherwise
    bool is_fullscreen;
    
    // is_hide indicate the 
    // hidden state of the d_popup_win
    // TRUE if d_popup_win is HIDDEN, FALSE otherwise 
    bool is_hide;   
};

#endif //INCLUDED_TOPWIN_H
